#ifndef _MONNODES_H
#define _MONNODES_H

#include <QDialog>
#include <QtWidgets/QGridLayout>
#include <QtWidgets/QGroupBox>
#include <QtWidgets/QHBoxLayout>
#include <QtWidgets/QHeaderView>
#include <QtWidgets/QPushButton>
#include <QtWidgets/QTableWidget>

namespace Ui {
class MonNodes;
}

class MonNodes : public QDialog
{
    Q_OBJECT

public:
    explicit MonNodes(QWidget *parent = nullptr);
    ~MonNodes();

signals:
    void setStatus(QString);
    void updateNode(QString);

private slots:
    void on_editButton_clicked();
    void refreshTable(void);

public slots:
    void refreshNodes(QString);

private:
    QGridLayout *gridLayout;
    QTableWidget *tableNodes;
    QGroupBox *groupBox;
    QHBoxLayout *horizontalLayout;
    QPushButton *quitButton;

    void edit(int recno);
};

#endif
